# List costs per workspace

List the cost of the workspace and correlate it with the executions

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/costs/{workspace}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `limit` (integer)
    Limit is the number of records to return for a page.
    Example: 30

  - `page` (integer)
    Page is the page number to return relative to the page 'limit'.
    Example: 1

  - `start_time` (integer)
    Specify the start time for the query
    Example: 1691150743950

  - `end_time` (integer)
    Specify the end time limit for the query
    Example: 1691150743950

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "gi"

  - `project` (string, required)
    Project is the project identifier.
    Example: "u"

  - `workspace` (string, required)
    Workspace id to retrieve the cost and the metadata associated with it
    Example: "Et et et."

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "c"

## Response 200 fields (application/json):

  - `account` (string, required)
    Account is the internal customer account ID.
    Example: "o"

  - `activity_type` (string)
    The type of activity that generated this cost (e.g. apply, plan, destroy)
    Example: "apply"

  - `cost` (string, required)
    The cost associated to the execution metadata
    Example: "12.13"

  - `created` (integer, required)
    The epoch time for the cost
    Example: 1672531200

  - `currency` (string, required)
    The currency for the cost
    Example: "USD"

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "nt2"

  - `pipeline` (string, required)
    The unique identifier for the associated pipeline
    Example: "Animi commodi."

  - `pipeline_execution_id` (string, required)
    The unique identifier for the associated pipeline execution
    Example: "Omnis aut numquam."

  - `pipeline_stage_id` (string, required)
    The unique identifier for the associated pipeline stage
    Example: "Cum deleniti et itaque consectetur modi."

  - `project` (string, required)
    Project is the project identifier.
    Example: "sq9"

  - `workspace` (string, required)
    The unique identifier for the associated workspace
    Example: "Iste iste est eaque suscipit aut voluptate."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


